Jump to content

BUG PAYPAL 3.10.6 / 3.11


Recommended Posts

Bonsoir,

 

J'ai une petite question à propos de ce module.

 

Par qui est-il créé, modifié ? Paypal ? Prestashop ? Une société autre ?

 

Car toutes ces erreurs de codage sont assez graves, surtout lorsqu'il s'agit de flux d'argent. N'y-a-t'il pas des contrôles effectués par Paypal ET Prestashop avant de "balancer" des mises à jour qui sont souvent catastrophiques ?

  • Like 1

Share this post


Link to post
Share on other sites

Ce module est géré par la société 202ecommerce sous contrat avec Prestashop

Paypal n'a pas son mot à dire la-dedans

Incroyable que PayPal ne participe pas. Et incroyable que Prestashop valide ce module s'il fait planter les systèmes après chaque mise à jour.

 

Impressionnant d'ailleurs que Paypal ne développe pas lui-même son propre module pour Prestashop avec les coms énormes qu'ils prennent aux marchands...

Oui, je suis d'accord avec vous.

Share this post


Link to post
Share on other sites

Prestashop contrôle les modules ? C'est nouveau ça^^

 

Et s'ils l'ont refilé à 202 c'est justement parce qu'ils ne veulent plus avoir à s'en occuper :P

 

 

PS: pour la petite histoire, ce module a été piqué à Magento au départ, ce qui explique l'arborescence particulière de ce module pendant de longues années

Share this post


Link to post
Share on other sites

  • 1 month later...

Bonjour,

 

Des retours sur la dernière version de Paypal 3.11.3 avec PS 1.6.1.11. J'ai parfois des erreurs de paiement du à des erreurs d'arrondi avec un paramétrage vers l'infini et arroni à la ligne. Le forum anglais met en avant aussi ce genre de problème, mais pas de retour...

Merci d'avance pour vos réponses.

Share this post


Link to post
Share on other sites

Personne n'a de retour ou n'a le même problème que moi sur des arrondis avec la dernière version de Paypal 3.11.3 et un PS 1.6.1.11 ? j'ai envoyé un mail au dev qui bien sûr n'a pas répondu, comme d'habitude...

Merci de vos retours par avance...

Share this post


Link to post
Share on other sites

Version installée hier de Paypal 3.11.4 sur PS 1.6.1.9 avec réglage des arrondis vers l'infini et avec un type arrondi pour chaque article suite à des problèmes de centimes récurrents et intermittents alors que pendant des mois aucun problème et bien sûr sans aucune mise à jour, ni réglages de changés (ce qui est quand même incompréhensible !) Je vous ferai un retour das les heures et les jours qui suivent...

Edited by IED Factory (see edit history)

Share this post


Link to post
Share on other sites

Et vous avez bien raison, sauf que dans mon cas, sans mise à jour aucune ni du PS, ni du module, et sans changement du paramétrage d'arrondi, les problèmes sont apparus par intermittence, alors qu'il fonctionnait très bien jusque là depuis plusieurs mois ???!

Share this post


Link to post
Share on other sites

Vous avez une version 3.10.10 en archive à me communiquer au cas où 202 ecommerce ne trouve pas ?

 

Si vous me dites comment sortir ça de mon site, je veux bien vous envoyer ça. :) (copier le module via le ftp peut-être ?)

Share this post


Link to post
Share on other sites

Merci beaucoup de votre retour. OUI une connexion FTP, allez dans le dossier /modules/Paypal

Téléchargez tous le dossier, zippez le et mettez le en pièce.

Je n'ai pas eu le temps de voir si il n'y a pas une plateforme avec  les anciennes versions...

Merci d'avance...

Share this post


Link to post
Share on other sites

Merci bien KevinNash, et merci de votre conseil, mais le module s'est mis en vrille sans aucune mise à jour (??!!), et c'est pour cela que j'ai tenté la mise à jour qui n'a rien résolu ni dans un sens ni dans l'autre.. J'ai toujours ce problème d'arrondi de façon permanente et intermittente... Bonne journée à tous

Edited by IED Factory (see edit history)

Share this post


Link to post
Share on other sites

Merci beaucoup de votre retour. OUI une connexion FTP, allez dans le dossier /modules/Paypal

Téléchargez tous le dossier, zippez le et mettez le en pièce.

Je n'ai pas eu le temps de voir si il n'y a pas une plateforme avec  les anciennes versions...

Merci d'avance...

Bonjour,

J'allais vous préparer ça. Je vois que quelqu'un l'a fait avant que je ne le fasse.

J'espère que tout va aller mieux maintenant.

@ bientôt.

Share this post


Link to post
Share on other sites

Bonjour à tous,

Trop tard, j'ai la version paypal 3.11.1 sur presta 1.6.1.2 et voilà le bug "Un client a rencontré un problème avec le module PayPalAPI:".

 

Comment faire?

 

Merci,

 

Bonjour,

 

J'ai le même problème, je reçois 10 messages me disant "un client a rencontré....."

 

Il n'y a pas de problème, je reçois les paiements mais il doit y avoir un problème quelque part.

Share this post


Link to post
Share on other sites

Quelle est la suite du message ?

 

Voici le message complet : 

 

Error reporting from your PayPal module

 

Rapport d'erreur à partir de votre module PayPalAPI   Un client a rencontré un problème avec le module PayPalAPI:  

Share this post


Link to post
Share on other sites

  • 2 weeks later...

 

Voici le message complet : 

 

Error reporting from your PayPal module

 

Rapport d'erreur à partir de votre module PayPalAPI   Un client a rencontré un problème avec le module PayPalAPI:  

 

Bonsoir à tous, je rencontre un problème avec la version 3.11.4 avec prestashop 1.6.1.11

Quand on clique sur le paiement paypal rien ne ce passe comme si le lien était mort. Quand je réinitialise le module ça marche une fois et puis plus rien... Je n'ai donc plus de commande par paypal en ce moment. Quelqu'un d'autre a t'il se problème ?

Précision: au survol du lien avec la souris en bas à gauche apparait 'javascript:void(0)' est ce normal ?

Merci 

Edited by Sanchofred (see edit history)

Share this post


Link to post
Share on other sites

Un retour négatif de plus..

Après avoir téléphoné deux fois au standard de 202-ecommerce.com, envoyé deux mails par l'addons et ouvert un ticket de support à leur demand sur leur site, aucune réponse du dev concerné depuis 13 jours !! Visiblement le dev du module ne travaille même pas avec eux dans leurs locaux...C'est une honte ! Dans la dernière version de PS, il y a le module Paypal qui est intégré directement d'après ce que j'ai lu ; je n'ai pas encore testé cette version, dont je me méfie d'ailleurs quand je lis les bugs, mais avez-vous des retours à ce sujet précis ? Merci.

Share this post


Link to post
Share on other sites

Bonjour IED Factory,

 

Effectivement si vous n'avez pas eu de retour depuis tout ce temps ce n'est pas normal et je vais me rapprocher de notre support pour vous donner dès aujourd'hui un statut sur votre ticket.

 

Par contre je suis surpris de votre remarque concernant cette supposition de sous traitance. Toutes nos équipes sont basés à Paris centre, dans un grand open space, et je vous invite même à venir le constater par vous même :)

 

Pouvez vous me communiquer votre numéro de ticket ouvert sur notre support ?

 

Merci.

 

Cyril

202 Ecommerce.

Share this post


Link to post
Share on other sites

Bonsoir IED Factory,

 

Valentin (dev 202) m'a dit que vous veniez de monter le module en version sur votre environnement afin de constater si le bug était toujours d'actualité.

N'hésitez pas à nous solliciter si c'est le cas.

 

Cordialement

 

Cyril

202 ecommerce

Share this post


Link to post
Share on other sites

Ne voulant toujours toucher à rien jusqu'à votre éventuelle intervention, au 13 ° jours d'attente, je me suis décidé à mettre à jour votre module puisque celui-ci, sans aucune raison apparente et sans aucune autre mise à jour de notre PS, a commencé, comme sur un autre site, à avoir des problèmes d'arrondi et de non équivalence entre la paiement Paypal au client et la facturation boutique ! Vous n'apportez aucune aide, aucune réponse aux problèmes rencontrés, comme en témoignent tous les topics, en toutes les langes, de ce forum ! Je me suis dit, à titre d'expérience, qu'au lieu de revenir en arrière avec la mise à disposition de version de votre module fonctionnant, ou d'appliquer les solutions gentiment proposées avec pertinence par des codeurs soucieux du bien de la communauté, j'allais attendre de voir votre réactivité et votre écoute ; changez de méthode de travail, supprimez votre open-space dont vous avez l'air si fier, visiblement cela vous empêche d'entendre le mécontentement de vos usagers et de se concentrer sur votre objectif premier : soumettre un module fiable de paiement Paypal aux utilisateurs de PS...

A partir d'un certain stade, il ne suffit plus de dire, il faut faire...

Share this post


Link to post
Share on other sites

Bonjour,

 

Je reprends le sujet, essaie de le faire avancer, et je n'ai nullement envie de rentrer dans une guerre de forumeurs.

Si je mets en avant notre open space, ce n'est pas à titre de fierté mais juste pour répondre à votre théorie de sous traitance de nos développements. 

Notre équipe a eu une réactivité moindre dans la dernière ligne droite de la sortie du module pour PrestaShop 1.7.1

Je vous propose de rectifier le tir et de vous accompagner dans la résolution de votre problématique.

 

Pour information, il est rare qu'en informatique, un code change de comportement du jour au lendemain sans qu'il n'y ait eu aucune modification. Donc oui nous ne pouvons pas juste faire, il y'a une analyse à apporter sur des cas existants. Donc si vous avez monté la version de votre module, nous sommes obligé d'attendre que le cas se reproduise pour analyser votre bug.

 

Cordialement,

 

Cyril

202 ecommerce.

Share this post


Link to post
Share on other sites

Monsieur, ne prenez pas la peine de faire de la novlangue avec moi et si vous suiviez vos fils de support, vous sauriez que cela ne concerne pas PS 1.7, mais PS 1.6 !!??

 

Quand au fait que vous sous-entendiez que mon affirmation soit fausse, cela montre bien le niveau de responsabilité avec lequel vous appréhender votre mission... Ne pouvez-vous pas envisager une seule seconde que les personnes qui viennent vers vous soient de bonne foi et que la correspondance avec un process évolutive de Paypal en soit la cause ?

 

Nous en resterons là, les suiveurs du topic apprécieront.

Edited by IED Factory (see edit history)

Share this post


Link to post
Share on other sites

@IED: Je ne vois pas l’intérêt de polluer le topic avec de l’énervement à outrance qui ne fait en rien avancer le problème.

 

@202ecommerce: Le problème existe depuis "toujours". Il s'agit de problème d'arrondi et du fait que le module recalcule les montants en retour des appels API. Hélas les arrondis ne s'appliquent pas exactement de la même manière entre Paypal (le backend api-3t.paypal.com) et Prestashop. Le problème n'est pas vraiment intermittent, il dépend des quantité et des prix des produits au panier. Des tests avec des valeurs caractéristiques (4.95 TTC TVA 20%) font surgir presque immanquablement le problème. 4.95 TTC donne un HT de 4.125

Share this post


Link to post
Share on other sites

Je ne pollue rien, je fais juste un retour d'expérience et je mets face à leurs responsabilités les personnes. Merci à vous (Doekia) de préciser ce qui a déjà été écrit par tous déjà des dizaines de fois...

Bonne journée à tous.

Share this post


Link to post
Share on other sites

Je sais bien que nous ne parlons pas de la version 1.7.1, je vous explique juste que nous avons eu une mobilisation un peu plus forte ces derniers jours concernant la version PayPal pour cette version de PrestaShop.

Je passe sur le forum pour essayer d'apporter des solutions sur les différents topics, et j'accepte la critique, mais un moment, il faut passer à autre chose et essayer d'avancer. Et je me permettais juste de rectifier vos propos concernant la situation géographique de mes équipes, parce qu'ils sont faux et étalés sur la place publique. Je ne trouve pas ça agréable.

 

@Doekia : Merci. Effectivement ce problème date de toujours et malheureusement nous ne pouvons rien faire aujourd'hui si ce n'est subir la problématique d'arrondis différents entre PrestaShop et PayPal. Nous proposons une solution aujourd'hui qui est de passer la règle d'arrondi de "à chaque ligne" vers "à chaque article".

 

Par ailleurs, nous avons fait une évolution sur ce point là, qui est actuellement dans la version 4.0.1 pour PrestaShop 1.7 qui nous permettrait de ne plus avoir l'erreur (un recalcul du panier quand les totaux PayPal et PrestaShop sont différents). Si tout se passe bien à ce niveau là, nous reproduirons l'évolution sur la version pour PS 1.4 / 1.5 et 1.6.

 

Cordialement,

Cyril

202 ecommerce

Share this post


Link to post
Share on other sites

@202commerce

Le changement de règle d'arrondi de Prestashop ne résoud pas le problème. Enfin si il le résoud dans certain cas mais le fait surfacer pour d'autres. Le seule solution envisageable est lors du retour d'api de comparer les prix HTet TTC en mode "fuzzy", si l'écart est de l'ordre du centime (millime pour certaines devises), forcer avec les valeurs du panier Prestashop et ne pas générer d'erreur, et faire de même enfin sur le montant total. Les écarts aux centimes sont des écarts absolument NORMAUX depuis que la comptabilité doit jouer avec les arrondis. Le mode de test "fuzzy" permettrait de détecter les "bandits", sans faux positif.

Share this post


Link to post
Share on other sites

Bonjour Doekia,

 

Merci pour votre solution que je vais soumettre à notre équipe technique.

Pour info de notre coté, nous avons mis en place sur la version 4.0.1 du module un recalcul du total à payer afin qu'il soit identique entre PrestaShop et PayPal, avec un écart maximum de 10 centimes en plus ou en moins pour éviter des failles de sécurité.

Share this post


Link to post
Share on other sites

  • 2 weeks later...

Helllo à tous, j'ai ouvert un ticket sur 202 ecommerce et après quelques réponses cordiales, rien n'a permis de résoudre mon problème et plus de nouvelles !!!

Tous mes moyens de payement fonctionnent mais quand on clique sur paypal... rien... lien mort pas de redirection vers le payement.

Le plus fort c'est que si je choisi une autre solution de paiement et que je l'annule, paypal refonctionne !!!

Quelqu'un aurait il une idée ou 202 ecommerce pourrait il enfin trouver d'ou ça vient.

 

Cordialement

Edited by Sanchofred (see edit history)

Share this post


Link to post
Share on other sites

Bonjour,

J'ai également des soucis avec le module Paypal v3.11.4 sous Prestashop 1.6. Ce mois-ci à 2 reprises, le module a mal fonctionné. En effet, le paiement est refusé en indiquant "erreur de paiement". 

J'ai également eu droit à ceci:

 

Rapport d'erreur à partir de votre module PayPalAPI

        UN CLIENT A RENCONTRÉ UN PROBLÈME AVEC LE MODULE PAYPALAPI:

PAYPAL RESPONSE:
TIMESTAMP -> 2017-04-20T09:58:57Z
L_ERRORCODE0 -> 10002
L_SHORTMESSAGE0 -> Authentication/Authorization Failed
L_LONGMESSAGE0 -> You do not have permissions to make this API call
L_SEVERITYCODE0 -> Error

 

Le problème est qu'on risque de perdre des clients si cela se reproduit :/

Share this post


Link to post
Share on other sites

Bonjour,

 

@SanchoFred : est ce que votre ticket est le 7397 ? Si oui il va être traité chez nous d'ici demain et vous aurez un retour sur nos résolutions ou actions si cela necessite plus de temps.

 

@Astrid2776 : L'erreur que vous remontez est lié à un problème de données dans vos données API. Par contre je suis assez étonné car quand on a cette erreur, le moyen de paiement ne peut pas marcher. Hors vous dites l'avoir eu qu'à 2 reprises. Avez vous reçu des paiements via PayPal dans le même intervalle ?

Share this post


Link to post
Share on other sites

Bonjour, une personne a regardé mon site vite fait et en a conclu que c'était au développeur de mon thème de trouver une solution !!!

Mon ticket est le 

#7364

Le module fonctionnait très bien avant la mise à jour. Je suis intervenu au moment ou il s'est connecté pour actualiser le module et qu'il fonctionne(en faisant ça il fonctionne 1 fois). La personne qui a testé n'a pas tenu compte de cette indication et a estimé que ça fonctionnait !!!! Il a reéssayé sans effacé son cache et m'a répondu que pour lui ça fonctionnait. 

J'ai l'impression qu'ils sont débordés et qu'ils ont vite fait de reporter la faute sur les autres... j'attend une solution de leur part et je vous tiens au courant sur l'évolution de mon problème.

Edited by Sanchofred (see edit history)

Share this post


Link to post
Share on other sites

Bonjour, une personne a regardé mon site vite fait et en a conclu que c'était au développeur de mon thème de trouver une solution !!!

Mon ticket est le 

#7364

Le module fonctionnait très bien avant la mise à jour. Je suis intervenu au moment ou il s'est connecté pour actualiser le module et qu'il fonctionne(en faisant ça il fonctionne 1 fois). La personne qui a testé n'a pas tenu compte de cette indication et a estimé que ça fonctionnait !!!! Il a reéssayé sans effacé son cache et m'a répondu que pour lui ça fonctionnait. 

J'ai l'impression qu'ils sont débordés et qu'ils ont vite fait de reporter la faute sur les autres... j'attend une solution de leur part et je vous tiens au courant sur l'évolution de mon problème.

Bonjour, Esteban m'a recontacté, il n'a pas fait de nouveau test et j'attends une analyse plus sérieuse du problème rencontré.

Je vous tiens au courant.

Edited by Sanchofred (see edit history)

Share this post


Link to post
Share on other sites

  • 4 weeks later...

Bonjour à tous, nouveau test aujourd'hui de 202 e-commerce...  1 mois ce sont écoulés depuis et ça ne fonctionne toujours pas... tous les modules de paiement que j'ai fonctionnent sauf Paypal !!!!!

 

J'étais content du message reçu : "bonjour test effectué, ça marche."

Test effectué et bien c'est pareil... un client veut payer avec paypal il clique sur le choix de paiement et ...rien. Il essaye une autre solution puis revient sur paypal... ça marche. Ce que les gars de 202 ont du mal à comprendre c'est qu'il faut faire plusieurs test avec des pseudos ou comptes différents car quand on l'a fait fonctionné une fois avec un compte il marche comme il faut (je pense que c'est du au cache)

 

Messieurs de 202 e commerce, pouvez vous faire plusieurs test et me dire ce qui a été corrigé ????????!!!!!!!!!!

Incroyable que ça puisse traîner autant... suite dans 1 mois  ?!!!!!! 

Paypal doit adorer 202 e commerce !!!!!!!

Share this post


Link to post
Share on other sites

Bonjour,

 

Mon module paypal ( version 3.11.4 sur presta 1.6.1.10 ) ne renvoie plus sur le site après paiement ( mais prend l'argent du client , sans créer la commande ... pas cool ) 

 

L'assistance Paypal ma envoyer la solution : 

 

"

Il semble que cette page de remerciement pose problème lors de la redirection automatique.

Afin de corriger ce problème, je vous invite à envoyer la variable suivante lors de votre redirection vers PayPal :

showHostedThankyouPage=false

"

 

Mais je trouve pas du tout ou changer cette variable ? dans quelle fichier ?? 

 

Donc j'ai besoin d'aide, merci d'avance  :)

 

 

PLUS BESOIN D'AIDE ! problème résolu ... 

 

le problème venais du SSL ( le désactivé puis le réactiver ) et c'est tout bon !

Edited by CREATPHYS (see edit history)

Share this post


Link to post
Share on other sites

  • 1 month later...

Bonjour,

Cette fois-ci avec le module Paypal nous avons toujours ce type d'erreur:

 Bonjour,

        Rapport d'erreur à partir de votre module PayPalAPI

        UN CLIENT A RENCONTRÉ UN PROBLÈME AVEC LE MODULE PAYPALAPI:

PAYPAL RESPONSE:
TIMESTAMP -> 2017-06-27T09:36:49Z
L_ERRORCODE0 -> 10002
L_SHORTMESSAGE0 -> Authentication/Authorization Failed
L_LONGMESSAGE0 -> You do not have permissions to make this API call
L_SEVERITYCODE0 -> Error

 

Du coup, impossible de l'utiliser, nous l'avons désactivé.


Que faire?

 

Share this post


Link to post
Share on other sites

  • 6 months later...

hello à tous et bonne année 2018

Je déterre ce sujet pour une question de mise à jour Paypal
je suis en prestashop 1.6.1.6 avec des bribes de 1.6.1.9 (ce qui devait être corrigé pour le problème des champs de formulaires sur google chrome".

mon module paypal est en 3.11.1 
il y a une proposition de mise à jour du module ... 
Je peux y aller ?

Bruno

Share this post


Link to post
Share on other sites

La question est: En avez-vous besoin ? Qu'apporte cette mise à jour ?

Tant qu'on a un module qui fonctionne et qu'il n'est pas question de mise à jour de sécurité je vous déconseille de modifier quoi que ce soit.

Perso, pour toutes les boutiques que je gère on est resté avec la version 3.10 débuguée qui fonctionne sans problème.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More